org.apache.lucene.facet.util

## Class TaxonomyMergeUtils

- java.lang.Object
- - org.apache.lucene.facet.util.TaxonomyMergeUtils

-     public class TaxonomyMergeUtils
      extends Object

  Utility methods for merging index and taxonomy directories.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyMergeUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `merge(Directory srcIndexDir, Directory srcTaxDir, DirectoryTaxonomyWriter.OrdinalMap map, IndexWriter destIndexWriter, DirectoryTaxonomyWriter destTaxWriter, FacetIndexingParams params)` Merges the given taxonomy and index directories and commits the changes to the given writers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyMergeUtils

          public TaxonomyMergeUtils()

  - ### Method Detail

    - #### merge

          public static void merge(Directory srcIndexDir,
                   Directory srcTaxDir,
                   DirectoryTaxonomyWriter.OrdinalMap map,
                   IndexWriter destIndexWriter,
                   DirectoryTaxonomyWriter destTaxWriter,
                   FacetIndexingParams params)
                            throws IOException

      Merges the given taxonomy and index directories and commits the changes to the given writers.
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.